> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/dota2/realtime-data/single-match.md).

# Single match

## Single match

> Return full single match data,and obtain new or changed data according to the time\<br/>\<br/>1,Full update for the first time,full data is obtained according to the parameter page (Page increases by 1, loop to get the interface, total is 0, and the loop ends)\<br/>2,Subsequent incremental update,obtain change data according to the parameter time increment (recommended request frequency:1min/time)

```json
{"openapi":"3.0.1","info":{"title":"Gaming DOTA2 API","version":"1.0.250516"},"tags":[{"name":"REALTIME DATA","description":"REALTIME DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/dota2/match/single/list":{"get":{"tags":["REALTIME DATA"],"description":"Return full single match data,and obtain new or changed data according to the time<br/><br/>1,Full update for the first time,full data is obtained according to the parameter page (Page increases by 1, loop to get the interface, total is 0, and the loop ends)<br/>2,Subsequent incremental update,obtain change data according to the parameter time increment (recommended request frequency:1min/time)","summary":"Single match","operationId":"getMatchSingleList","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"$ref":"#/components/parameters/Page"},{"$ref":"#/components/parameters/Time"},{"$ref":"#/components/parameters/Uuid"}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"query":{"$ref":"#/common/schemas/Query"},"results":{"type":"array","items":{"$ref":"#/components/schemas/MatchSingle"}}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username,please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key,please contact business","required":true,"schema":{"type":"string"}},"Page":{"name":"page","in":"query","description":"page query,return the data of the query page number (starting from 1), the default is 1000","schema":{"type":"integer","format":"int32"}},"Time":{"name":"time","in":"query","description":"time query,return records (timestamp) greater than or equal to the update time,sorted according to the update time","schema":{"type":"integer","format":"int32"}},"Uuid":{"name":"uuid","in":"query","description":"uuid query,return the queried uuid data","schema":{"type":"string"}}},"schemas":{"MatchSingle":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Single match id"},"match_id":{"type":"string","description":"Match id"},"box_num":{"type":"integer","description":"Current inning"},"status_id":{"type":"integer","description":"Match status, please refer to Status Code -> Match Status"},"match_time":{"type":"integer","description":"Match time"},"radiant_id":{"type":"string","description":"Radiant team id"},"radiant_pick":{"$ref":"#/deps/schemas/Pick"},"radiant_ban":{"$ref":"#/deps/schemas/Ban"},"radiant_win":{"type":"integer","description":"Win or lose, 1-win, 0-loss"},"radiant_score":{"type":"integer","description":"Radiant kills"},"radiant_tower_status":{"type":"integer","description":"Radiant push tower status, please refer to Status Code -> Tower Status"},"radiant_barrack_status":{"type":"integer","description":"Radiant destroys the barracks state, please refer to Status Code -> Barrack Status"},"dire_id":{"type":"string","description":"Dire team id"},"dire_pick":{"$ref":"#/deps/schemas/Pick"},"dire_ban":{"$ref":"#/deps/schemas/Ban"},"dire_win":{"type":"integer","description":"Win or lose, 1-win, 0-loss"},"dire_score":{"type":"integer","description":"Dire kills"},"dire_tower_status":{"type":"integer","description":"Dire push tower status, please refer to Status Code -> Tower Status"},"dire_barrack_status":{"type":"integer","description":"Dire destroys the barracks state, please refer to Status Code -> Barrack Status"},"time_length":{"type":"integer","description":"Duration"},"first_blood":{"type":"string","description":"First blood team id (\"\" - Unknown)"},"first_tower":{"type":"string","description":"First tower team id (\"\" - Unknown)"},"first_roushan":{"type":"string","description":"First roushan team id (\"\" - Unknown)"},"five_kills":{"type":"string","description":"First five kills team id (\"\" - Unknown)"},"ten_kills":{"type":"string","description":"First ten kills team id (\"\" - Unknown)"},"economy_lines":{"$ref":"#/deps/schemas/EconomyLine"},"experience_lines":{"$ref":"#/deps/schemas/ExperienceLine"},"updated_at":{"type":"integer","description":"Update time"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"common":{"schemas":{"Query":{"type":"object","description":"Inquiry","properties":{"total":{"type":"integer","description":"Return the total amount of data"},"type":{"type":"string","description":"Query type,uuid query:uuid,page query:page,time query:time,default page"},"uuid":{"type":"string","description":"uuid query value (uuid query,field exists)"},"page":{"type":"integer","description":"page query value (page query,field exists)"},"time":{"type":"integer","description":"time query value,timestamp format (time query,field exists)"},"min_time":{"type":"integer","description":"Return the smallest time in the data(updated_at value) (time query,field exists)"},"max_time":{"type":"integer","description":"Return the largest time in the data(updated_at value) (time query,field exists)"}}},"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}},"deps":{"schemas":{"Pick":{"type":"array","description":"Choose hero ids<br/>example:[\"j1l4rjektzem7vx\", \"kjw2r08etgqz84o\", \"jednm920f6ryox8\"]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Hero id | String |\n","items":""},"Ban":{"type":"array","description":"Banned hero ids<br/>example:[\"kdj2ryy2ij0r1zp\", \"l965mk6pie8q1ge\", \"vl7oqd9xh4zm510\"]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Hero id | String |\n","items":""},"EconomyLine":{"type":"array","description":"Economic curve: the difference between Radiant and Dire (Radiant - Dire),Change with time<br/>example:[\"60:0\", \"120:418\", \"180:314\"]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Time (seconds):economic difference | String |\n","items":""},"ExperienceLine":{"type":"array","description":"Experience curve: the difference between Radiant and Dire (Radiant - Dire),Change with time<br/>example:[\"60:0\", \"120:418\", \"180:314\"]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Time (seconds):experience difference | String |\n","items":""}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/dota2/realtime-data/single-match.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
